openseespy could not be imported in python 3.8

Forum for asking and answering questions related to use of the OpenSeesPy module

Moderators: silvia, selimgunay, Moderators

Post Reply
YanYang
Posts: 4
Joined: Tue Jun 02, 2020 7:09 pm

openseespy could not be imported in python 3.8

Post by YanYang » Sat Jul 11, 2020 10:33 am

Hello, When I run "import openseespy.opensees as op" in python3.8.3, it showed the following error:

Code: Select all

import openseespy.opensees as op

RuntimeError: Python version 3.7 is needed for Windows (Anaconda is recommended https://www.anaconda.com/distribution/)
If I do want to use python3.8 to run openseespy, are there any good solutions? thank you

opentang
Posts: 1
Joined: Wed Sep 27, 2017 6:59 pm
Location: csu

Re: openseespy could not be imported in python 3.8

Post by opentang » Sat Jul 25, 2020 1:01 am

did you solved the problem?

cslotboom
Posts: 6
Joined: Sun Sep 09, 2018 8:09 pm
Location: UBC

Re: openseespy could not be imported in python 3.8

Post by cslotboom » Sat Aug 08, 2020 3:45 pm

Hey,
Right now OpenSeesPy needs to be updated to python 3.8.
The new version should be up sometime in the next two weeks or so.

If you are using anaconda, you can create a python 3.7 virtual environment and run OpenSeesPy there.
something like:

conda create -n yourenvname python=3.7 anaconda
conda activate yourenvname

Plenty of good resources on using these environments online!

Cheers,
C.

zhum
Posts: 11
Joined: Fri Apr 01, 2016 3:03 pm

Re: openseespy could not be imported in python 3.8

Post by zhum » Tue Aug 11, 2020 6:55 am

I just update it to support python3.8.

Post Reply